from flask import Blueprint, jsonify
from tpmcqr_service import redis_client
from tpmcqr_service.api.utils import calcula_distancias_parada

apiv2 = Blueprint('apiv2', __name__)

@apiv2.route('/api_v2/<string:parada>')
def info_parada(parada=None):

    current_file = redis_client.get('current_file')
    status, salida_parada = calcula_distancias_parada(current_file, parada)

    return jsonify(salida_parada), status#    from tpmcqr_service.errors.handlers import errors
